Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 592669 - RFE -- make <productname> translatable
Summary: RFE -- make <productname> translatable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Publican
Classification: Community
Component: publican
Version: 1.6
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeff Fearn 🐞
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-16 05:05 UTC by Ruediger Landmann
Modified: 2010-11-24 04:18 UTC (History)
4 users (show)

Fixed In Version: publican-2.1-0.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-07 17:35:55 UTC


Attachments (Terms of Use)

Description Ruediger Landmann 2010-05-16 05:05:53 UTC
Description of problem:
<productname> is not currently translatable; update_pot does not include this tag in the POT files for a document

While names of products are not generally translated from one language to another, exceptions exist where products might have a different name in different markets,[0] or at least might be transliterated into a different writing system.

For example, "Red Hat Enterprise Linux" is marketed in China as "纒帽企业 Linux" -- http://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/zh-CN/Installation_Guide/index.html

Additionally, the Publican web components use <productname> to create the large title banner on web pages. A title like "Foo Documentation" is not a productname as such, and is translatable.

Version-Release number of selected component (if applicable):
1.6.3

How reproducible:
100%

Steps to Reproduce:
1. run publican update_pot on a document
2. look in pot/Book_Info.pot
  
Actual results:
No entry for "productname"

Expected results:
Entry created for "productname" so that it can be translated, changed, or transliterated as necessary. 


[0] Plenty of amusing examples to be found online. Not a software product, but "Mitsubishi Pajero" is probably the most infamous :)

Comment 1 Jeff Fearn 🐞 2010-05-17 04:17:52 UTC
This could easily break RPM creation, so it will probably introduce incompatibilities to ensure things don't get broken. It will have to be done in 2.0 at the earliest.

Comment 2 Jeff Fearn 🐞 2010-05-22 02:45:50 UTC
Added productname to translation tag list.

Fixed in build 1.6.3-0.f12-t67

Comment 3 Fedora Update System 2010-07-06 06:00:29 UTC
publican-2.0-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-2.0-0.fc13

Comment 4 Fedora Update System 2010-07-06 06:01:10 UTC
publican-2.0-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-2.0-0.fc12

Comment 5 Fedora Update System 2010-07-06 17:18:31 UTC
publican-2.0-0.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update publican'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/publican-2.0-0.fc12

Comment 6 Fedora Update System 2010-07-06 17:19:56 UTC
publican-2.0-0.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update publican'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/publican-2.0-0.fc13

Comment 7 Fedora Update System 2010-07-07 03:13:10 UTC
publican-2.1-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-2.1-0.fc13

Comment 8 Fedora Update System 2010-07-07 03:13:48 UTC
publican-2.1-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-2.1-0.fc12

Comment 9 Fedora Update System 2010-07-07 17:35:20 UTC
publican-2.1-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-07-07 17:39:53 UTC
publican-2.1-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.